Loading...
Searching...
No Matches
enums.hpp File Reference

Digital enumerations. More...

`#include <iio.h>`
Include dependency graph for digital/enums.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | libm2k::digital::DIO_DIRECTION { DIO_INPUT = 0 , DIO_OUTPUT = 1 }
| Direction of a digital channel. More...
enum | libm2k::digital::DIO_LEVEL { LOW = 0 , HIGH = 1 }
| Logic voltage levels. More...
enum | libm2k::digital::DIO_CHANNEL { DIO_CHANNEL_0 = 0 , DIO_CHANNEL_1 = 1 , DIO_CHANNEL_2 = 2 , DIO_CHANNEL_3 = 3 , DIO_CHANNEL_4 = 4 , DIO_CHANNEL_5 = 5 , DIO_CHANNEL_6 = 6 , DIO_CHANNEL_7 = 7 , DIO_CHANNEL_8 = 8 , DIO_CHANNEL_9 = 9 , DIO_CHANNEL_10 = 10 , DIO_CHANNEL_11 = 11 , DIO_CHANNEL_12 = 12 , DIO_CHANNEL_13 = 13 , DIO_CHANNEL_14 = 14 , DIO_CHANNEL_15 = 15 }
| Indexes of the channels. More...
enum | libm2k::digital::DIO_MODE { DIO_OPENDRAIN = 0 , DIO_PUSHPULL = 1 }
| Output mode for a digital channel.
enum | libm2k::digital::DIO_TRIGGER_MODE { DIO_OR = 0 , DIO_AND = 1 }
| Triggering mode for digital channels.

## Detailed Description

Digital enumerations.

## Enumeration Type Documentation

## DIO_CHANNEL

enum libm2k::digital::DIO_CHANNEL

Indexes of the channels.

Note
  Each channel can be accessed through its index

## DIO_DIRECTION

enum libm2k::digital::DIO_DIRECTION

Direction of a digital channel.

Note
  Digital channels can be used both for transmitting and receiving digital signals

## DIO_LEVEL

enum libm2k::digital::DIO_LEVEL

Logic voltage levels.

Note
  At any given time a digital signals can only take two possible values, namely low or high